# Interface PointCloudValueFilterJson

Filters points based on the value of an specified attribute.

See https://developers.arcgis.com/web-scene-specification/objects/pointCloudValueFilter/.

interface PointCloudValueFilterJson {
field?: string;
mode?: string;
type: "pointCloudValueFilter";
values?: number[];
}

#####
Index

### Properties

field?
mode?
type
values?

##
Properties

### `Optional` field

field?: string

The name of the field that is used for the filter.

### `Optional` mode

mode?: string

Defines if values should be included or excluded. Must be one of the following values: exclude, include.

### type

type

Filters points based on the value of an specified attribute.

### `Optional` values

values?: number[]

List of values.